'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var useHasSearchParam = function (search, key) {
    return new URLSearchParams(search).has(key);
};
var useGetSearchParam = function (search, key) {
    return new URLSearchParams(search).get(key);
};
var useAppendSearchParam = function (search, params) {
    var startingParams = new URLSearchParams(search);
    if (Array.isArray(params)) {
        params.forEach(function (param) {
            startingParams.append(param.key, param.value);
        });
    }
    else {
        startingParams.append(params.key, params.value);
    }
    return startingParams.toString();
};

exports.useAppendSearchParam = useAppendSearchParam;
exports.useGetSearchParam = useGetSearchParam;
exports.useHasSearchParam = useHasSearchParam;
//# sourceMappingURL=index.js.map
